com.sap.conn.jco

## Enum AbapClassException.Mode

- java.lang.Object
- - java.lang.Enum<AbapClassException.Mode>
  - - com.sap.conn.jco.AbapClassException.Mode

- All Implemented Interfaces:
    Serializable, Comparable<AbapClassException.Mode>
  Enclosing class:
    AbapClassException

      public static enum AbapClassException.Mode
      extends Enum<AbapClassException.Mode>

  The Mode enumeration describes how class exceptions should be handled by a server system.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCEPTION_CHAIN` only the exception chain and simple types are included in the serialized instance.
    `FULL` the complete available object graph is serialized.
    `OFF` Class exceptions are turned off.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbapClassException.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbapClassException.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final AbapClassException.Mode OFF

      Class exceptions are turned off.

    - #### FULL

          public static final AbapClassException.Mode FULL

      the complete available object graph is serialized.

    - #### EXCEPTION_CHAIN

          public static final AbapClassException.Mode EXCEPTION_CHAIN

      only the exception chain and simple types are included in the serialized instance.

  - ### Method Detail

    - #### values

          public static AbapClassException.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbapClassException.Mode c : AbapClassException.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbapClassException.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018 SAP. All Rights Reserved.